Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.samplers
Interface RemoteSampleListener

All Superinterfaces:
  Remote

All Known Implementing Classes:
  RemoteSampleListenerImpl

public interface RemoteSampleListener
extends Remote

Allows notification on events occuring during the sampling process. Specifically, when sampling is started, when a specific sample is obtained, and when sampling is stopped.

Version:
  $Revision: 674365 $

Method Summary
`void` | `processBatch(List samples)` This method is called remotely and fires a list of samples events recieved locally.
`void` | `sampleOccurred(SampleEvent e)` A sample has started and stopped.
`void` | `sampleStarted(SampleEvent e)` A sample has started.
`void` | `sampleStopped(SampleEvent e)` A sample has stopped.
`void` | `testEnded()`
`void` | `testEnded(String host)`
`void` | `testStarted()`
`void` | `testStarted(String host)`

Method Detail

### testStarted

    public void testStarted()
                     throws RemoteException

  Throws:
    `RemoteException`

### testStarted

    public void testStarted(String host)
                     throws RemoteException

  Throws:
    `RemoteException`

### testEnded

    public void testEnded()
                   throws RemoteException

  Throws:
    `RemoteException`

### testEnded

    public void testEnded(String host)
                   throws RemoteException

  Throws:
    `RemoteException`

### processBatch

    public void processBatch(List samples)
                      throws RemoteException

  This method is called remotely and fires a list of samples events recieved locally. The function is to reduce network load when using remote testing.

  Parameters:
    `samples` - the list of sample events to be fired locally.
  Throws:
    `RemoteException`

### sampleOccurred

    public void sampleOccurred(SampleEvent e)
                        throws RemoteException

  A sample has started and stopped.

  Throws:
    `RemoteException`

### sampleStarted

    public void sampleStarted(SampleEvent e)
                       throws RemoteException

  A sample has started.

  Throws:
    `RemoteException`

### sampleStopped

    public void sampleStopped(SampleEvent e)
                       throws RemoteException

  A sample has stopped.

  Throws:
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.